{
  "fiscript": [
    {
      "script_name": "nodes_properties.ini",
      "script_patch": "/opt/huawei/Bigdata/om-server/om/etc/om/omscfg/nodes_properties.ini",
      "config_list": [
        {
          "current_conf": "Controller::::controller.Xmx::/opt/huawei/Bigdata/om-server_6.5.1/om/etc/om/controller.properties::4096m",
          "customized_conf": "Controller::::controller.Xmx::/opt/huawei/Bigdata/om-server_6.5.1/om/etc/om/controller.properties::1024m"
        },
        {
          "current_conf": "Controller::::controller.Xms::/opt/huawei/Bigdata/om-server_6.5.1/om/etc/om/controller.properties::1024m",
          "customized_conf": "Controller::::controller.Xms::/opt/huawei/Bigdata/om-server_6.5.1/om/etc/om/controller.properties::512m"
        },
        {
          "current_conf": "PMS::::pms.mem::/opt/huawei/Bigdata/om-server_6.5.1/OMS/workspace/conf/pms/application.properties::8192m",
          "customized_conf": "PMS::::pms.mem::/opt/huawei/Bigdata/om-server_6.5.1/OMS/workspace/conf/pms/application.properties::1536m"
        },
        {
          "current_conf": "FMS::::fms.mem::/opt/huawei/Bigdata/om-server_6.5.1/OMS/workspace/conf/fms/application.properties::4096m",
          "customized_conf": "FMS::::fms.mem::/opt/huawei/Bigdata/om-server_6.5.1/OMS/workspace/conf/fms/application.properties::1024m"
        }
      ]
    },
    {
      "script_name": "omm_s_fm_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace0/bin/omm_s_fm_ctl.sh",
      "config_list": [
        {
          "current_conf": "jvmbase=\"-Xms${fmsmem} -Xmx${fmsmem} -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\"",
          "customized_conf": "jvmbase=\"-Xms${fmsmem} -Xmx${fmsmem} -Xss256k -XX:MaxDirectMemorySize=64M -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -XX:CompileThreshold=100000 -XX:MinInliningThreshold=25000 -XX:OnStackReplacePercentage=14000 -XX:MaxInlineSize=3 -XX:-InlineSynchronizedMethods -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\""
        },
        {
          "current_conf": "fmsmem=\"4096m\"",
          "customized_conf": "fmsmem=\"1024m\""
        }
      ]
    },
    {
      "script_name": "omm_s_cep_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace0/bin/omm_s_cep_ctl.sh",
      "config_list": [
        {
          "current_conf": "JvmMemSet=\"-Xms4096m -Xmx10240m -XX:PermSize=64M -XX:MaxPermSize=128m -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\"",
          "customized_conf": "JvmMemSet=\"-Xms512m -Xmx1024m -Xss256k -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -XX:CompileThreshold=100000 -XX:MinInliningThreshold=25000 -XX:OnStackReplacePercentage=14000 -XX:MaxInlineSize=3 -XX:-InlineSynchronizedMethods -XX:ParallelGCThreads=4 -XX:InitialCodeCacheSize=1m -XX:ReservedCodeCacheSize=64m -XX:MaxDirectMemorySize=64M -XX:CompressedClassSpaceSize=256m -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\""
        }
      ]
    },
    {
      "script_name": "omm_s_pm_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace0/bin/omm_s_pm_ctl.sh",
      "config_list": [
        {
          "current_conf": "JvmMemSet=\"-Xms$pmsmem -Xmx$pmsmem -Xss256k -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\"",
          "customized_conf": "JvmMemSet=\"-Xms$pmsmem -Xmx$pmsmem -Xss256k -XX:MaxDirectMemorySize=64M -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -XX:CompileThreshold=100000 -XX:MinInliningThreshold=25000 -XX:OnStackReplacePercentage=14000 -XX:MaxInlineSize=3 -XX:-InlineSynchronizedMethods -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\""
        }
      ]
    },
    {
      "script_name": "omm_s_iam_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace0/bin/omm_s_iam_ctl.sh",
      "config_list": [
        {
          "current_conf": "JvmMemSet=\"-Xms64m -Xmx256m -XX:PermSize=30m -XX:MaxPermSize=30m -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\"",
          "customized_conf": "JvmMemSet=\"-Xms64m -Xmx256m -Xss256k -XX:PermSize=20m -XX:MaxPermSize=30m -XX:OnOutOfMemoryError=\\\"echo $JvmMemoryFlow >> ${LOGFILE};kill -9 %p\\\"\""
        }
      ]
    },
    {
      "script_name": "startup.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/tomcat/bin/startup.sh",
      "config_list": [
        {
          "current_conf": "export JAVA_OPTS=\"$JAVA_OPTS -XX:MetaspaceSize=256M -XX:MaxMetaspaceSize=512M -Xss1M -XX:MaxHeapSize=4G -Djdk.tls.ephemeralDHKeySize=2048 -XX:ErrorFile=/var/log/Bigdata/tomcat/hs_error%p.log -XX:OnOutOfMemoryError=\\\"kill -9 %p\\\"\"",
          "customized_conf": "export JAVA_OPTS=\"$JAVA_OPTS -XX:MetaspaceSize=256M -XX:MaxMetaspaceSize=512M -Xss512k -XX:MaxHeapSize=1G -Djdk.tls.ephemeralDHKeySize=2048 -XX:ErrorFile=/var/log/Bigdata/tomcat/hs_error%p.log -XX:OnOutOfMemoryError=\\\"kill -9 %p\\\"\""
        }
      ]
    },
    {
      "script_name": "server.xml",
      "script_patch": "/opt/huawei/Bigdata/om-server/tomcat/conf/server.xml",
      "config_list": [
        {
          "current_conf": "               maxThreads=\"500\"",
          "customized_conf": "               maxThreads=\"30\""
        },
        {
          "current_conf": "               acceptCount=\"500\"",
          "customized_conf": "               acceptCount=\"20\" minSpareThreads=\"2\" maxSpareThreads=\"10\""
        },
        {
          "current_conf": "               maxThreads=\"150\" minSpareThreads=\"25\" maxSpareThreads=\"75\"",
          "customized_conf": "               maxThreads=\"30\" minSpareThreads=\"2\" maxSpareThreads=\"10\""
        },
        {
          "current_conf": "               acceptCount=\"100\" scheme=\"https\" secure=\"true\"",
          "customized_conf": "               acceptCount=\"20\" scheme=\"https\" secure=\"true\""
        }
      ]
    },
    {
      "script_name": "controller.properties",
      "script_patch": "/opt/huawei/Bigdata/om-server/om/etc/om/controller.properties",
      "config_list": [
        {
          "current_conf": "controller.Xms=1024m",
          "customized_conf": "controller.Xms=512m"
        },
        {
          "current_conf": "controller.Xmx=4096m",
          "customized_conf": "controller.Xmx=1024m"
        }
      ]
    },
    {
      "script_name": "controller.properties",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace/conf/fms/application.properties",
      "config_list": [
        {
          "current_conf": "fms.mem=4096m",
          "customized_conf": "fms.mem=512m"
        }
      ]
    },
    {
      "script_name": "application.properties",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace/conf/pms/application.properties",
      "config_list": [
        {
          "current_conf": "pms.mem=8192m",
          "customized_conf": "pms.mem=1024m"
        }
      ]
    },
    {
      "script_name": "aos_cmd.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/om/sbin/aos_cmd.sh",
      "config_list": [
        {
          "current_conf": "    local sys_properties=\"-Dprocess.name=aos -Xmx4096m\"",
          "customized_conf": "    local sys_properties=\"-Dprocess.name=aos -Xmx512m\""
        }
      ]
    },
    {
      "script_name": "start-backupplugin.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/om/sbin/start-backupplugin.sh",
      "config_list": [
        {
          "current_conf": "JAVA_HEAP_MAX=-Xmx8192m",
          "customized_conf": "JAVA_HEAP_MAX=-Xmx1024m"
        },
        {
          "current_conf": "JAVA_HEAP_MIN=-Xms1024m",
          "customized_conf": "JAVA_HEAP_MIN=-Xms512m"
        }
      ]
    },
    {
      "script_name": "acs_cmd.sh",
      "script_patch": "/opt/huawei/Bigdata/om-server/om/sbin/acs_cmd.sh",
      "config_list": [
        {
          "current_conf": "    local sys_properties=\"-Dprocess.name=acs -Xmx2048m\"",
          "customized_conf": "    local sys_properties=\"-Dprocess.name=acs -Xmx512m\""
        }
      ]
    },
    {
      "script_name": "pms_config.properties",
      "script_patch": "/opt/huawei/Bigdata/om-server/OMS/workspace/conf/pms/pms_config.properties",
      "config_list": [
        {
          "current_conf": "pms_diskUsageThreshold=80",
          "customized_conf": "pms_diskUsageThreshold=65"
        },
        {
          "current_conf": "pms_freeSpaceThreshold=500",
          "customized_conf": "pms_freeSpaceThreshold=15000"
        },
        {
          "current_conf": "pms_deleteOldTableDays=1",
          "customized_conf": "pms_deleteOldTableDays=5"
        },
        {
          "current_conf": "pms_maxDeleteMetricPeriod=300",
          "customized_conf": "pms_maxDeleteMetricPeriod=3000"
        }
      ]
    }
  ],
  "finodescript": [
    {
      "script_name": "nodeagent_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-agent/nodeagent/bin/nodeagent_ctl.sh",
      "config_list": [
        {
          "current_conf": "jvmbase=\"-Xms1024m -Xmx2048m -XX:MetaspaceSize=64M -XX:MaxMetaspaceSize=128m\"",
          "customized_conf": "jvmbase=\"-Xms256m -Xmx512m -Xss256k -XX:NewSize=128m -XX:MetaspaceSize=64M -XX:MaxMetaspaceSize=128m -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -XX:MaxDirectMemorySize=64m\""
        }
      ]
    },
    {
      "script_name": "mpa_ctl.sh",
      "script_patch": "/opt/huawei/Bigdata/om-agent/metric-agent/bin/mpa_ctl.sh",
      "config_list": [
        {
          "current_conf": "JVM_ARGS=\" -verbose:gc -Xloggc:$GC_LOG_FILE -XX:+PrintGCDateStamps -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=1 -XX:GCLogFileSize=10M -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=${DUMP_ERROR_FILE_DIR}dump.hpro\"",          
		  "customized_conf": "JVM_ARGS=\" -Xms128m -Xmx512m -Xss256k -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -XX:MaxDirectMemorySize=64m -verbose:gc -Xloggc:$GC_LOG_FILE -XX:+PrintGCDateStamps -XX:+PrintGCDetails -XX:+PrintGCTimeStamps -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=1 -XX:GCLogFileSize=10M -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=${DUMP_ERROR_FILE_DIR}dump.hpro\""
        }
      ]
    },
    {
      "script_name": "hdfs-period-check.sh",
      "script_patch": "/opt/huawei/Bigdata/hadoop/hadoop/sbin/hdfs-period-check.sh",
      "config_list": [
        {
          "current_conf": "nohup java -Dproc_operation_collecter",
          "customized_conf": "nohup java -Xmx256M -Xss256k -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -Dproc_operation_collecter"
        }
      ]
    },
    {
      "script_name": "yarn-application-check.sh",
      "script_patch": "/opt/huawei/Bigdata/hadoop/hadoop/sbin/yarn-application-check.sh",
      "config_list": [
        {
          "current_conf": "javaCommand -Dproc_applicationstimeoutchecker",
          "customized_conf": "javaCommand -Xmx256M -Xss256k -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -Dproc_applicationstimeoutchecker"
        },
        {
          "current_conf": "javaCommand -Dproc_queueAndAmResourceChecker",
          "customized_conf": "javaCommand -Xmx256M -Xss256k -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -Dproc_queueAndAmResourceChecker"
        },
        {
          "current_conf": "javaCommand -Dproc_nodeStateCheckerChecker",
          "customized_conf": "javaCommand -Xmx256M -Xss256k -XX:MaxInlineLevel=1 -XX:InlineSmallCode=25 -Dproc_nodeStateCheckerChecker"
        }
      ]
    }
  ],
  "need_kill_process": "true"
}